Bug 831563 - [abrt] xfce4-panel-4.8.6-3.fc16: XScreenCount: Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
[abrt] xfce4-panel-4.8.6-3.fc16: XScreenCount: Process /usr/bin/xfce4-panel w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:0241a8fbb49706549a0ce6730f3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 06:24 EDT by Steve Coleman
Modified: 2013-02-13 20:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:45:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (21.60 KB, text/plain)
2012-06-13 06:24 EDT, Steve Coleman
no flags Details
File: dso_list (4.89 KB, text/plain)
2012-06-13 06:24 EDT, Steve Coleman
no flags Details
File: backtrace (6.13 KB, text/plain)
2012-06-13 06:24 EDT, Steve Coleman
no flags Details
.xsession-errors first time it loaded after crashing (2.70 KB, text/plain)
2012-11-27 11:43 EST, d. johnson
no flags Details

  None (edit)
Description Steve Coleman 2012-06-13 06:24:49 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 280b73f32-9b3b-4aab-9a16-2811c040c3f8
crash_function: XScreenCount
executable:     /usr/bin/xfce4-panel
kernel:         3.3.7-1.fc16.x86_64
pid:            1768
pwd:            /home/scoleman
reason:         Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
time:           Wed 13 Jun 2012 06:19:50 AM EDT
uid:            1000
username:       scoleman
xsession_errors: 

backtrace:      Text file, 6278 bytes
dso_list:       Text file, 5007 bytes
maps:           Text file, 22117 bytes

build_ids:
:8fab8212b98a9f15d7428343b126402fbe73932d
:9efd824bf587def50099e2ae657a5cce012fa658
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:00767dab1dee26134b1f1fb8caf5013cc6a9eb02
:c90d4b437b361672ec29f8c6b94c2a5911e8f670
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:d0c6e13f00a20952a72a945c929efb175fd760e3
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f8f4d8e260ee8f3b262936920270ace01b2da537
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:6788b943089846e98f7dc9cdb5dca63924909b25
:578e66700318d8cec8e5f03778c434743a55e153
:12ebe599358398f2c1a5294bb2dd387545474b65
:7a896ce784b97721d1f6960bfba25e60511c0178
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:4953d1f613914126bccceb3cb96386647ffba9df
:d817480669f0fd2970859f094c28e8f8a87574f1
:0911ea7c180d733724f89037b8e8a34e64024aec
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:91709dc7083204ddd936d5ad28c171985f06f66c
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:163b323da65b708418226eb5fa8b057c731d1475
:4c842320387ff7f6f91b7842b223c16518be909f
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:9523adec86a142d4e4521da1cabb80c64c5fbad7
:f0d50e3af2dfee021a327fb85a993a2312a98145
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:be507c791e34415e8f42f0e6030c889b2895cf9a
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:07470201df55a5254027d05fa4dc509b10f2986a
:3bbe4d98714c66cda2944cd39900eea5d348df18
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:2611a6dc740c63b1f7c79cdad280f8737efd7648
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:b038838c10d38141b6ec19b40168be9caaa78286
:82cca0d5b06a649072a966dc4f05aded63d736bc
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:2670385f49fb9f120f7cf843f211e3c620da8632
:f2e24eed69cdecfdc16ed844c315a295459441ff
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1691
:HOSTNAME=tux01
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/scoleman/.gnupg/S.gpg-agent:1740:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=07b736778471c3bbda4e025500000012-1339582781.676163-404911241
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-dywY4N
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=scoleman
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-XmdtzPPM1548/agent.1548
:USERNAME=scoleman
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/scoleman
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/scoleman/bin
:QT_IM_MODULE=xim
:PWD=/home/scoleman
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1544
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/scoleman
:LOGNAME=scoleman
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KnG4kNOKYn,guid=26d6afff9461e466712a313000000045
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/scoleman
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-scoleman-FF0rCD/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1749,unix/unix:/tmp/.ICE-unix/1749

var_log_messages:
:Jun 13 06:19:49 tux01 kernel: [   76.779534] xfce4-panel[1768]: segfault at e4 ip 0000003a57833260 sp 00007fff6c506298 error 4 in libX11.so.6.3.0[3a57800000+139000]
:Jun 13 06:19:50 tux01 abrt[1822]: Saved core dump of pid 1768 (/usr/bin/xfce4-panel) to /var/spool/abrt/ccpp-2012-06-13-06:19:50-1768 (1544192 bytes)
Comment 1 Steve Coleman 2012-06-13 06:24:53 EDT
Created attachment 591425 [details]
File: maps
Comment 2 Steve Coleman 2012-06-13 06:24:54 EDT
Created attachment 591426 [details]
File: dso_list
Comment 3 Steve Coleman 2012-06-13 06:24:58 EDT
Created attachment 591427 [details]
File: backtrace
Comment 4 Kevin Fenzi 2012-06-13 12:09:03 EDT
What were you doing when this happened?

Can you duplicate it?
Comment 5 Steve Coleman 2012-06-13 23:23:55 EDT
All I do is boot the machine and try to login, the GUI fails and I wind up back at the xfce login prompt again. Login the second time and it works.

I have been looking at this and I think what might be happening is there appears to be an application which *sometimes* appears on the screen just before it restarts. Sometimes it restarts too fast to see it even display. I think that xfce is trying to load a previous session, fails, restarts, and upon logging in the second time it doesn't restart that app, or the app doesn't start with a previous instance already running/shutting down. Not sure which, but ps -ef is not listing it on the second time around.

The application I see sometimes appears to be grip 1:3.2.0.31.fc16 x86_64 (from my yum install history), which didn't recognize the CD drive in this machine so I thought I had closed it to go look for something else. Appaently it must have still been running and was saved with the xfce session information. In any case, a user app should not normally be trashing the xfce manager. 

Thats my best guess for the moment.
Comment 6 Kevin Fenzi 2012-06-14 10:49:33 EDT
Can you attach your: 

~/.cache/sessions/xfce4-session* 
and
~/.cache/sessions/xfwm4*.state

files?

Does grip appear in them?

If you move them out of the way does the new fresh session behave as expected?
Comment 7 Steve Coleman 2012-06-14 23:42:27 EDT
Yes grip was listed, but after moving the cache files it still gave the double login. After removing grip from the system, and everything else I added that same day it still has problems. 

Below is the current session file:

[Session: Default]
Client0_ClientId=28c0fd8e4-e1c2-4b31-a362-04d1b9b6de29
Client0_Hostname=local/tux01
Client0_CloneCommand=xfwm4
Client0_DiscardCommand=rm,-rf,/home/scoleman/.cache/sessions/xfwm4-28c0fd8e4-e1c2-4b31-a362-04d1b9b6de29.state
Client0_RestartCommand=xfwm4,--display,:1.0,--sm-client-id,28c0fd8e4-e1c2-4b31-a362-04d1b9b6de29
Client0_CurrentDirectory=/home/scoleman
Client0_Program=xfwm4
Client0_UserId=scoleman
Client0_Priority=15
Client0_RestartStyleHint=2
Client1_ClientId=21134ffaf-e9d5-4d05-be30-a879943abb83
Client1_Hostname=local/tux01
Client1_CloneCommand=xfce4-panel
Client1_RestartCommand=xfce4-panel,--display,:1.0,--sm-client-id,21134ffaf-e9d5-4d05-be30-a879943abb83
Client1_CurrentDirectory=/home/scoleman
Client1_Program=xfce4-panel
Client1_UserId=scoleman
Client1_Priority=25
Client1_RestartStyleHint=2
Client2_ClientId=20f9abfe7-b896-4d91-bc48-86f8a967ce09
Client2_Hostname=local/tux01
Client2_CloneCommand=xfdesktop
Client2_RestartCommand=xfdesktop,--display,:1.0,--sm-client-id,20f9abfe7-b896-4d91-bc48-86f8a967ce09
Client2_CurrentDirectory=/home/scoleman
Client2_Program=xfdesktop
Client2_UserId=scoleman
Client2_Priority=35
Client2_RestartStyleHint=2
Client3_ClientId=20598bdb1-8e57-4501-9cb0-34eb0f7fc020
Client3_Hostname=local/tux01
Client3_CloneCommand=xfce4-settings-helper
Client3_RestartCommand=xfce4-settings-helper,--display,:1.0,--sm-client-id,20598bdb1-8e57-4501-9cb0-34eb0f7fc020
Client3_CurrentDirectory=/home/scoleman
Client3_Program=xfce4-settings-helper
Client3_UserId=scoleman
Client3_Priority=50
Client3_RestartStyleHint=2
Client4_ClientId=27f4f8cec-e267-483e-ac8d-41ac47a67d7c
Client4_Hostname=local/tux01
Client4_CloneCommand=xfce4-power-manager
Client4_RestartCommand=xfce4-power-manager,--restart,--sm-client-id,27f4f8cec-e267-483e-ac8d-41ac47a67d7c
Client4_CurrentDirectory=/
Client4_DesktopFile=/etc/xdg/autostart/xfce4-power-manager.desktop
Client4_Program=xfce4-power-manager
Client4_UserId=scoleman
Client4_Priority=50
Client4_RestartStyleHint=0
Count=5
Legacy0_Screen=0
Legacy0_Command=Terminal,--geometry=179x52,--display,:1.0,--role=Terminal-0x16830a0-2207-1339040521,--show-menubar,--show-borders,--hide-toolbars,--working-directory,/media
Legacy0_ClientMachine=tux01
LegacyCount=1
Screen0_ActiveWorkspace=1
LastAccess=1339730706
Comment 8 Kevin Fenzi 2012-07-04 22:56:55 EDT
ok, can you also attach a ~/.xsession-errors file from right after a failed session?
Comment 9 d. johnson 2012-11-27 11:38:37 EST
"yum update" followed by reboot

backtrace_rating: 4
Package: xfce4-panel-4.10.0-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 10 d. johnson 2012-11-27 11:43:34 EST
Created attachment 652912 [details]
.xsession-errors first time it loaded after crashing
Comment 11 d. johnson 2012-11-27 11:46:13 EST
For reference:

[user1@localhost ~]$ more ~/.cache/sessions/xf*
[CLIENT] 0x3600004
  [CLIENT_LEADER] 0x3600001
  [WINDOW_ROLE] Terminal-0x16ba060-1387-1354031555
  [RES_NAME] Terminal
  [RES_CLASS] Terminal
  [WM_NAME] Terminal - root@localhost:~
  [WM_COMMAND] (1) "Terminal"
  [GEOMETRY] (1,53,1015,479)
  [GEOMETRY-MAXIMIZED] (1,53,815,479)
  [SCREEN] 0
  [DESK] 0
  [FLAGS] 0x10200


Both files requested above are not present.
Comment 12 Kevin Fenzi 2012-11-27 22:05:18 EST
Odd. If you remove the ~/.cache/sessions/xf* file and login does it work?

If you create a new user and login as them does it work ok?
Comment 13 d. johnson 2012-11-27 22:29:45 EST
Not sure if your inquiry is to me or the person that opened this BZ, but I did remove ~/.config/ and was able to login again.

I was able to recreate the problem, and then remove ~/.cache/ -- This did not help.
Comment 14 Kevin Fenzi 2012-11-30 20:46:13 EST
(In reply to comment #13)
> Not sure if your inquiry is to me or the person that opened this BZ, but I
> did remove ~/.config/ and was able to login again.

ok. So all was back to normal then... you were able to logout and login and all worked?
 
> I was able to recreate the problem, and then remove ~/.cache/ -- This did
> not help.

How did you recreate the problem? Any specific steps?
Comment 15 Fedora End Of Life 2013-01-16 18:22:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2013-02-13 20:45:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.